// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: filmfeed.proto

package com.tmovie.streaming;

public final class Filmfeed {
  private Filmfeed() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistryLite registry) {
  }

  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
    registerAllExtensions(
        (com.google.protobuf.ExtensionRegistryLite) registry);
  }
  public interface TVShowOrBuilder extends
      // @@protoc_insertion_point(interface_extends:com.tmovie.streaming.TVShow)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>string episode = 1;</code>
     */
    java.lang.String getEpisode();
    /**
     * <code>string episode = 1;</code>
     */
    com.google.protobuf.ByteString
        getEpisodeBytes();

    /**
     * <code>string season = 2;</code>
     */
    java.lang.String getSeason();
    /**
     * <code>string season = 2;</code>
     */
    com.google.protobuf.ByteString
        getSeasonBytes();

    /**
     * <code>string premiered = 3;</code>
     */
    java.lang.String getPremiered();
    /**
     * <code>string premiered = 3;</code>
     */
    com.google.protobuf.ByteString
        getPremieredBytes();
  }
  /**
   * Protobuf type {@code com.tmovie.streaming.TVShow}
   */
  public  static final class TVShow extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:com.tmovie.streaming.TVShow)
      TVShowOrBuilder {
    // Use TVShow.newBuilder() to construct.
    private TVShow(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private TVShow() {
      episode_ = "";
      season_ = "";
      premiered_ = "";
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return com.google.protobuf.UnknownFieldSet.getDefaultInstance();
    }
    private TVShow(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      int mutable_bitField0_ = 0;
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            default: {
              if (!input.skipField(tag)) {
                done = true;
              }
              break;
            }
            case 10: {
              java.lang.String s = input.readStringRequireUtf8();

              episode_ = s;
              break;
            }
            case 18: {
              java.lang.String s = input.readStringRequireUtf8();

              season_ = s;
              break;
            }
            case 26: {
              java.lang.String s = input.readStringRequireUtf8();

              premiered_ = s;
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return com.tmovie.streaming.Filmfeed.internal_static_com_tmovie_streaming_TVShow_descriptor;
    }

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return com.tmovie.streaming.Filmfeed.internal_static_com_tmovie_streaming_TVShow_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              com.tmovie.streaming.Filmfeed.TVShow.class, com.tmovie.streaming.Filmfeed.TVShow.Builder.class);
    }

    public static final int EPISODE_FIELD_NUMBER = 1;
    private volatile java.lang.Object episode_;
    /**
     * <code>string episode = 1;</code>
     */
    public java.lang.String getEpisode() {
      java.lang.Object ref = episode_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        episode_ = s;
        return s;
      }
    }
    /**
     * <code>string episode = 1;</code>
     */
    public com.google.protobuf.ByteString
        getEpisodeBytes() {
      java.lang.Object ref = episode_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        episode_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int SEASON_FIELD_NUMBER = 2;
    private volatile java.lang.Object season_;
    /**
     * <code>string season = 2;</code>
     */
    public java.lang.String getSeason() {
      java.lang.Object ref = season_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        season_ = s;
        return s;
      }
    }
    /**
     * <code>string season = 2;</code>
     */
    public com.google.protobuf.ByteString
        getSeasonBytes() {
      java.lang.Object ref = season_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        season_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int PREMIERED_FIELD_NUMBER = 3;
    private volatile java.lang.Object premiered_;
    /**
     * <code>string premiered = 3;</code>
     */
    public java.lang.String getPremiered() {
      java.lang.Object ref = premiered_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        premiered_ = s;
        return s;
      }
    }
    /**
     * <code>string premiered = 3;</code>
     */
    public com.google.protobuf.ByteString
        getPremieredBytes() {
      java.lang.Object ref = premiered_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        premiered_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    private byte memoizedIsInitialized = -1;
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (!getEpisodeBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 1, episode_);
      }
      if (!getSeasonBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 2, season_);
      }
      if (!getPremieredBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 3, premiered_);
      }
    }

    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (!getEpisodeBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(1, episode_);
      }
      if (!getSeasonBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(2, season_);
      }
      if (!getPremieredBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(3, premiered_);
      }
      memoizedSize = size;
      return size;
    }

    private static final long serialVersionUID = 0L;
    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof com.tmovie.streaming.Filmfeed.TVShow)) {
        return super.equals(obj);
      }
      com.tmovie.streaming.Filmfeed.TVShow other = (com.tmovie.streaming.Filmfeed.TVShow) obj;

      boolean result = true;
      result = result && getEpisode()
          .equals(other.getEpisode());
      result = result && getSeason()
          .equals(other.getSeason());
      result = result && getPremiered()
          .equals(other.getPremiered());
      return result;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + EPISODE_FIELD_NUMBER;
      hash = (53 * hash) + getEpisode().hashCode();
      hash = (37 * hash) + SEASON_FIELD_NUMBER;
      hash = (53 * hash) + getSeason().hashCode();
      hash = (37 * hash) + PREMIERED_FIELD_NUMBER;
      hash = (53 * hash) + getPremiered().hashCode();
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static com.tmovie.streaming.Filmfeed.TVShow parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static com.tmovie.streaming.Filmfeed.TVShow parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static com.tmovie.streaming.Filmfeed.TVShow parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static com.tmovie.streaming.Filmfeed.TVShow parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static com.tmovie.streaming.Filmfeed.TVShow parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static com.tmovie.streaming.Filmfeed.TVShow parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static com.tmovie.streaming.Filmfeed.TVShow parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static com.tmovie.streaming.Filmfeed.TVShow parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static com.tmovie.streaming.Filmfeed.TVShow parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static com.tmovie.streaming.Filmfeed.TVShow parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(com.tmovie.streaming.Filmfeed.TVShow prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code com.tmovie.streaming.TVShow}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:com.tmovie.streaming.TVShow)
        com.tmovie.streaming.Filmfeed.TVShowOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return com.tmovie.streaming.Filmfeed.internal_static_com_tmovie_streaming_TVShow_descriptor;
      }

      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return com.tmovie.streaming.Filmfeed.internal_static_com_tmovie_streaming_TVShow_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                com.tmovie.streaming.Filmfeed.TVShow.class, com.tmovie.streaming.Filmfeed.TVShow.Builder.class);
      }

      // Construct using com.tmovie.streaming.Filmfeed.TVShow.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      public Builder clear() {
        super.clear();
        episode_ = "";

        season_ = "";

        premiered_ = "";

        return this;
      }

      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return com.tmovie.streaming.Filmfeed.internal_static_com_tmovie_streaming_TVShow_descriptor;
      }

      public com.tmovie.streaming.Filmfeed.TVShow getDefaultInstanceForType() {
        return com.tmovie.streaming.Filmfeed.TVShow.getDefaultInstance();
      }

      public com.tmovie.streaming.Filmfeed.TVShow build() {
        com.tmovie.streaming.Filmfeed.TVShow result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      public com.tmovie.streaming.Filmfeed.TVShow buildPartial() {
        com.tmovie.streaming.Filmfeed.TVShow result = new com.tmovie.streaming.Filmfeed.TVShow(this);
        result.episode_ = episode_;
        result.season_ = season_;
        result.premiered_ = premiered_;
        onBuilt();
        return result;
      }

      public Builder clone() {
        return (Builder) super.clone();
      }
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          Object value) {
        return (Builder) super.setField(field, value);
      }
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return (Builder) super.clearField(field);
      }
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return (Builder) super.clearOneof(oneof);
      }
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, Object value) {
        return (Builder) super.setRepeatedField(field, index, value);
      }
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          Object value) {
        return (Builder) super.addRepeatedField(field, value);
      }
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof com.tmovie.streaming.Filmfeed.TVShow) {
          return mergeFrom((com.tmovie.streaming.Filmfeed.TVShow)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(com.tmovie.streaming.Filmfeed.TVShow other) {
        if (other == com.tmovie.streaming.Filmfeed.TVShow.getDefaultInstance()) return this;
        if (!other.getEpisode().isEmpty()) {
          episode_ = other.episode_;
          onChanged();
        }
        if (!other.getSeason().isEmpty()) {
          season_ = other.season_;
          onChanged();
        }
        if (!other.getPremiered().isEmpty()) {
          premiered_ = other.premiered_;
          onChanged();
        }
        onChanged();
        return this;
      }

      public final boolean isInitialized() {
        return true;
      }

      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.tmovie.streaming.Filmfeed.TVShow parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (com.tmovie.streaming.Filmfeed.TVShow) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }

      private java.lang.Object episode_ = "";
      /**
       * <code>string episode = 1;</code>
       */
      public java.lang.String getEpisode() {
        java.lang.Object ref = episode_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          episode_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string episode = 1;</code>
       */
      public com.google.protobuf.ByteString
          getEpisodeBytes() {
        java.lang.Object ref = episode_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          episode_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string episode = 1;</code>
       */
      public Builder setEpisode(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        episode_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string episode = 1;</code>
       */
      public Builder clearEpisode() {
        
        episode_ = getDefaultInstance().getEpisode();
        onChanged();
        return this;
      }
      /**
       * <code>string episode = 1;</code>
       */
      public Builder setEpisodeBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        episode_ = value;
        onChanged();
        return this;
      }

      private java.lang.Object season_ = "";
      /**
       * <code>string season = 2;</code>
       */
      public java.lang.String getSeason() {
        java.lang.Object ref = season_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          season_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string season = 2;</code>
       */
      public com.google.protobuf.ByteString
          getSeasonBytes() {
        java.lang.Object ref = season_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          season_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string season = 2;</code>
       */
      public Builder setSeason(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        season_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string season = 2;</code>
       */
      public Builder clearSeason() {
        
        season_ = getDefaultInstance().getSeason();
        onChanged();
        return this;
      }
      /**
       * <code>string season = 2;</code>
       */
      public Builder setSeasonBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        season_ = value;
        onChanged();
        return this;
      }

      private java.lang.Object premiered_ = "";
      /**
       * <code>string premiered = 3;</code>
       */
      public java.lang.String getPremiered() {
        java.lang.Object ref = premiered_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          premiered_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string premiered = 3;</code>
       */
      public com.google.protobuf.ByteString
          getPremieredBytes() {
        java.lang.Object ref = premiered_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          premiered_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string premiered = 3;</code>
       */
      public Builder setPremiered(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        premiered_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string premiered = 3;</code>
       */
      public Builder clearPremiered() {
        
        premiered_ = getDefaultInstance().getPremiered();
        onChanged();
        return this;
      }
      /**
       * <code>string premiered = 3;</code>
       */
      public Builder setPremieredBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        premiered_ = value;
        onChanged();
        return this;
      }
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return this;
      }

      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return this;
      }


      // @@protoc_insertion_point(builder_scope:com.tmovie.streaming.TVShow)
    }

    // @@protoc_insertion_point(class_scope:com.tmovie.streaming.TVShow)
    private static final com.tmovie.streaming.Filmfeed.TVShow DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new com.tmovie.streaming.Filmfeed.TVShow();
    }

    public static com.tmovie.streaming.Filmfeed.TVShow getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<TVShow>
        PARSER = new com.google.protobuf.AbstractParser<TVShow>() {
      public TVShow parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
          return new TVShow(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<TVShow> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<TVShow> getParserForType() {
      return PARSER;
    }

    public com.tmovie.streaming.Filmfeed.TVShow getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface DataOrBuilder extends
      // @@protoc_insertion_point(interface_extends:com.tmovie.streaming.Data)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>string title = 1;</code>
     */
    java.lang.String getTitle();
    /**
     * <code>string title = 1;</code>
     */
    com.google.protobuf.ByteString
        getTitleBytes();

    /**
     * <code>string imdb = 2;</code>
     */
    java.lang.String getImdb();
    /**
     * <code>string imdb = 2;</code>
     */
    com.google.protobuf.ByteString
        getImdbBytes();

    /**
     * <code>int32 year = 3;</code>
     */
    int getYear();

    /**
     * <code>.com.tmovie.streaming.TVShow show = 4;</code>
     */
    boolean hasShow();
    /**
     * <code>.com.tmovie.streaming.TVShow show = 4;</code>
     */
    com.tmovie.streaming.Filmfeed.TVShow getShow();
    /**
     * <code>.com.tmovie.streaming.TVShow show = 4;</code>
     */
    com.tmovie.streaming.Filmfeed.TVShowOrBuilder getShowOrBuilder();
  }
  /**
   * Protobuf type {@code com.tmovie.streaming.Data}
   */
  public  static final class Data extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:com.tmovie.streaming.Data)
      DataOrBuilder {
    // Use Data.newBuilder() to construct.
    private Data(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private Data() {
      title_ = "";
      imdb_ = "";
      year_ = 0;
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return com.google.protobuf.UnknownFieldSet.getDefaultInstance();
    }
    private Data(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      int mutable_bitField0_ = 0;
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            default: {
              if (!input.skipField(tag)) {
                done = true;
              }
              break;
            }
            case 10: {
              java.lang.String s = input.readStringRequireUtf8();

              title_ = s;
              break;
            }
            case 18: {
              java.lang.String s = input.readStringRequireUtf8();

              imdb_ = s;
              break;
            }
            case 24: {

              year_ = input.readInt32();
              break;
            }
            case 34: {
              com.tmovie.streaming.Filmfeed.TVShow.Builder subBuilder = null;
              if (show_ != null) {
                subBuilder = show_.toBuilder();
              }
              show_ = input.readMessage(com.tmovie.streaming.Filmfeed.TVShow.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(show_);
                show_ = subBuilder.buildPartial();
              }

              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return com.tmovie.streaming.Filmfeed.internal_static_com_tmovie_streaming_Data_descriptor;
    }

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return com.tmovie.streaming.Filmfeed.internal_static_com_tmovie_streaming_Data_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              com.tmovie.streaming.Filmfeed.Data.class, com.tmovie.streaming.Filmfeed.Data.Builder.class);
    }

    public static final int TITLE_FIELD_NUMBER = 1;
    private volatile java.lang.Object title_;
    /**
     * <code>string title = 1;</code>
     */
    public java.lang.String getTitle() {
      java.lang.Object ref = title_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        title_ = s;
        return s;
      }
    }
    /**
     * <code>string title = 1;</code>
     */
    public com.google.protobuf.ByteString
        getTitleBytes() {
      java.lang.Object ref = title_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        title_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int IMDB_FIELD_NUMBER = 2;
    private volatile java.lang.Object imdb_;
    /**
     * <code>string imdb = 2;</code>
     */
    public java.lang.String getImdb() {
      java.lang.Object ref = imdb_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        imdb_ = s;
        return s;
      }
    }
    /**
     * <code>string imdb = 2;</code>
     */
    public com.google.protobuf.ByteString
        getImdbBytes() {
      java.lang.Object ref = imdb_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        imdb_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int YEAR_FIELD_NUMBER = 3;
    private int year_;
    /**
     * <code>int32 year = 3;</code>
     */
    public int getYear() {
      return year_;
    }

    public static final int SHOW_FIELD_NUMBER = 4;
    private com.tmovie.streaming.Filmfeed.TVShow show_;
    /**
     * <code>.com.tmovie.streaming.TVShow show = 4;</code>
     */
    public boolean hasShow() {
      return show_ != null;
    }
    /**
     * <code>.com.tmovie.streaming.TVShow show = 4;</code>
     */
    public com.tmovie.streaming.Filmfeed.TVShow getShow() {
      return show_ == null ? com.tmovie.streaming.Filmfeed.TVShow.getDefaultInstance() : show_;
    }
    /**
     * <code>.com.tmovie.streaming.TVShow show = 4;</code>
     */
    public com.tmovie.streaming.Filmfeed.TVShowOrBuilder getShowOrBuilder() {
      return getShow();
    }

    private byte memoizedIsInitialized = -1;
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (!getTitleBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 1, title_);
      }
      if (!getImdbBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 2, imdb_);
      }
      if (year_ != 0) {
        output.writeInt32(3, year_);
      }
      if (show_ != null) {
        output.writeMessage(4, getShow());
      }
    }

    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (!getTitleBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(1, title_);
      }
      if (!getImdbBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(2, imdb_);
      }
      if (year_ != 0) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, year_);
      }
      if (show_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(4, getShow());
      }
      memoizedSize = size;
      return size;
    }

    private static final long serialVersionUID = 0L;
    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof com.tmovie.streaming.Filmfeed.Data)) {
        return super.equals(obj);
      }
      com.tmovie.streaming.Filmfeed.Data other = (com.tmovie.streaming.Filmfeed.Data) obj;

      boolean result = true;
      result = result && getTitle()
          .equals(other.getTitle());
      result = result && getImdb()
          .equals(other.getImdb());
      result = result && (getYear()
          == other.getYear());
      result = result && (hasShow() == other.hasShow());
      if (hasShow()) {
        result = result && getShow()
            .equals(other.getShow());
      }
      return result;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + TITLE_FIELD_NUMBER;
      hash = (53 * hash) + getTitle().hashCode();
      hash = (37 * hash) + IMDB_FIELD_NUMBER;
      hash = (53 * hash) + getImdb().hashCode();
      hash = (37 * hash) + YEAR_FIELD_NUMBER;
      hash = (53 * hash) + getYear();
      if (hasShow()) {
        hash = (37 * hash) + SHOW_FIELD_NUMBER;
        hash = (53 * hash) + getShow().hashCode();
      }
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static com.tmovie.streaming.Filmfeed.Data parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static com.tmovie.streaming.Filmfeed.Data parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static com.tmovie.streaming.Filmfeed.Data parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static com.tmovie.streaming.Filmfeed.Data parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static com.tmovie.streaming.Filmfeed.Data parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static com.tmovie.streaming.Filmfeed.Data parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static com.tmovie.streaming.Filmfeed.Data parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static com.tmovie.streaming.Filmfeed.Data parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static com.tmovie.streaming.Filmfeed.Data parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static com.tmovie.streaming.Filmfeed.Data parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(com.tmovie.streaming.Filmfeed.Data prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code com.tmovie.streaming.Data}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:com.tmovie.streaming.Data)
        com.tmovie.streaming.Filmfeed.DataOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return com.tmovie.streaming.Filmfeed.internal_static_com_tmovie_streaming_Data_descriptor;
      }

      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return com.tmovie.streaming.Filmfeed.internal_static_com_tmovie_streaming_Data_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                com.tmovie.streaming.Filmfeed.Data.class, com.tmovie.streaming.Filmfeed.Data.Builder.class);
      }

      // Construct using com.tmovie.streaming.Filmfeed.Data.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      public Builder clear() {
        super.clear();
        title_ = "";

        imdb_ = "";

        year_ = 0;

        if (showBuilder_ == null) {
          show_ = null;
        } else {
          show_ = null;
          showBuilder_ = null;
        }
        return this;
      }

      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return com.tmovie.streaming.Filmfeed.internal_static_com_tmovie_streaming_Data_descriptor;
      }

      public com.tmovie.streaming.Filmfeed.Data getDefaultInstanceForType() {
        return com.tmovie.streaming.Filmfeed.Data.getDefaultInstance();
      }

      public com.tmovie.streaming.Filmfeed.Data build() {
        com.tmovie.streaming.Filmfeed.Data result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      public com.tmovie.streaming.Filmfeed.Data buildPartial() {
        com.tmovie.streaming.Filmfeed.Data result = new com.tmovie.streaming.Filmfeed.Data(this);
        result.title_ = title_;
        result.imdb_ = imdb_;
        result.year_ = year_;
        if (showBuilder_ == null) {
          result.show_ = show_;
        } else {
          result.show_ = showBuilder_.build();
        }
        onBuilt();
        return result;
      }

      public Builder clone() {
        return (Builder) super.clone();
      }
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          Object value) {
        return (Builder) super.setField(field, value);
      }
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return (Builder) super.clearField(field);
      }
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return (Builder) super.clearOneof(oneof);
      }
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, Object value) {
        return (Builder) super.setRepeatedField(field, index, value);
      }
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          Object value) {
        return (Builder) super.addRepeatedField(field, value);
      }
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof com.tmovie.streaming.Filmfeed.Data) {
          return mergeFrom((com.tmovie.streaming.Filmfeed.Data)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(com.tmovie.streaming.Filmfeed.Data other) {
        if (other == com.tmovie.streaming.Filmfeed.Data.getDefaultInstance()) return this;
        if (!other.getTitle().isEmpty()) {
          title_ = other.title_;
          onChanged();
        }
        if (!other.getImdb().isEmpty()) {
          imdb_ = other.imdb_;
          onChanged();
        }
        if (other.getYear() != 0) {
          setYear(other.getYear());
        }
        if (other.hasShow()) {
          mergeShow(other.getShow());
        }
        onChanged();
        return this;
      }

      public final boolean isInitialized() {
        return true;
      }

      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.tmovie.streaming.Filmfeed.Data parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (com.tmovie.streaming.Filmfeed.Data) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }

      private java.lang.Object title_ = "";
      /**
       * <code>string title = 1;</code>
       */
      public java.lang.String getTitle() {
        java.lang.Object ref = title_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          title_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string title = 1;</code>
       */
      public com.google.protobuf.ByteString
          getTitleBytes() {
        java.lang.Object ref = title_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          title_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string title = 1;</code>
       */
      public Builder setTitle(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        title_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string title = 1;</code>
       */
      public Builder clearTitle() {
        
        title_ = getDefaultInstance().getTitle();
        onChanged();
        return this;
      }
      /**
       * <code>string title = 1;</code>
       */
      public Builder setTitleBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        title_ = value;
        onChanged();
        return this;
      }

      private java.lang.Object imdb_ = "";
      /**
       * <code>string imdb = 2;</code>
       */
      public java.lang.String getImdb() {
        java.lang.Object ref = imdb_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          imdb_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string imdb = 2;</code>
       */
      public com.google.protobuf.ByteString
          getImdbBytes() {
        java.lang.Object ref = imdb_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          imdb_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string imdb = 2;</code>
       */
      public Builder setImdb(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        imdb_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string imdb = 2;</code>
       */
      public Builder clearImdb() {
        
        imdb_ = getDefaultInstance().getImdb();
        onChanged();
        return this;
      }
      /**
       * <code>string imdb = 2;</code>
       */
      public Builder setImdbBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        imdb_ = value;
        onChanged();
        return this;
      }

      private int year_ ;
      /**
       * <code>int32 year = 3;</code>
       */
      public int getYear() {
        return year_;
      }
      /**
       * <code>int32 year = 3;</code>
       */
      public Builder setYear(int value) {
        
        year_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>int32 year = 3;</code>
       */
      public Builder clearYear() {
        
        year_ = 0;
        onChanged();
        return this;
      }

      private com.tmovie.streaming.Filmfeed.TVShow show_ = null;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.tmovie.streaming.Filmfeed.TVShow, com.tmovie.streaming.Filmfeed.TVShow.Builder, com.tmovie.streaming.Filmfeed.TVShowOrBuilder> showBuilder_;
      /**
       * <code>.com.tmovie.streaming.TVShow show = 4;</code>
       */
      public boolean hasShow() {
        return showBuilder_ != null || show_ != null;
      }
      /**
       * <code>.com.tmovie.streaming.TVShow show = 4;</code>
       */
      public com.tmovie.streaming.Filmfeed.TVShow getShow() {
        if (showBuilder_ == null) {
          return show_ == null ? com.tmovie.streaming.Filmfeed.TVShow.getDefaultInstance() : show_;
        } else {
          return showBuilder_.getMessage();
        }
      }
      /**
       * <code>.com.tmovie.streaming.TVShow show = 4;</code>
       */
      public Builder setShow(com.tmovie.streaming.Filmfeed.TVShow value) {
        if (showBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          show_ = value;
          onChanged();
        } else {
          showBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.com.tmovie.streaming.TVShow show = 4;</code>
       */
      public Builder setShow(
          com.tmovie.streaming.Filmfeed.TVShow.Builder builderForValue) {
        if (showBuilder_ == null) {
          show_ = builderForValue.build();
          onChanged();
        } else {
          showBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.com.tmovie.streaming.TVShow show = 4;</code>
       */
      public Builder mergeShow(com.tmovie.streaming.Filmfeed.TVShow value) {
        if (showBuilder_ == null) {
          if (show_ != null) {
            show_ =
              com.tmovie.streaming.Filmfeed.TVShow.newBuilder(show_).mergeFrom(value).buildPartial();
          } else {
            show_ = value;
          }
          onChanged();
        } else {
          showBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.com.tmovie.streaming.TVShow show = 4;</code>
       */
      public Builder clearShow() {
        if (showBuilder_ == null) {
          show_ = null;
          onChanged();
        } else {
          show_ = null;
          showBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.com.tmovie.streaming.TVShow show = 4;</code>
       */
      public com.tmovie.streaming.Filmfeed.TVShow.Builder getShowBuilder() {
        
        onChanged();
        return getShowFieldBuilder().getBuilder();
      }
      /**
       * <code>.com.tmovie.streaming.TVShow show = 4;</code>
       */
      public com.tmovie.streaming.Filmfeed.TVShowOrBuilder getShowOrBuilder() {
        if (showBuilder_ != null) {
          return showBuilder_.getMessageOrBuilder();
        } else {
          return show_ == null ?
              com.tmovie.streaming.Filmfeed.TVShow.getDefaultInstance() : show_;
        }
      }
      /**
       * <code>.com.tmovie.streaming.TVShow show = 4;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.tmovie.streaming.Filmfeed.TVShow, com.tmovie.streaming.Filmfeed.TVShow.Builder, com.tmovie.streaming.Filmfeed.TVShowOrBuilder> 
          getShowFieldBuilder() {
        if (showBuilder_ == null) {
          showBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.tmovie.streaming.Filmfeed.TVShow, com.tmovie.streaming.Filmfeed.TVShow.Builder, com.tmovie.streaming.Filmfeed.TVShowOrBuilder>(
                  getShow(),
                  getParentForChildren(),
                  isClean());
          show_ = null;
        }
        return showBuilder_;
      }
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return this;
      }

      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return this;
      }


      // @@protoc_insertion_point(builder_scope:com.tmovie.streaming.Data)
    }

    // @@protoc_insertion_point(class_scope:com.tmovie.streaming.Data)
    private static final com.tmovie.streaming.Filmfeed.Data DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new com.tmovie.streaming.Filmfeed.Data();
    }

    public static com.tmovie.streaming.Filmfeed.Data getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<Data>
        PARSER = new com.google.protobuf.AbstractParser<Data>() {
      public Data parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
          return new Data(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<Data> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<Data> getParserForType() {
      return PARSER;
    }

    public com.tmovie.streaming.Filmfeed.Data getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface ResultOrBuilder extends
      // @@protoc_insertion_point(interface_extends:com.tmovie.streaming.Result)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>string source = 1;</code>
     */
    java.lang.String getSource();
    /**
     * <code>string source = 1;</code>
     */
    com.google.protobuf.ByteString
        getSourceBytes();

    /**
     * <code>string quality = 2;</code>
     */
    java.lang.String getQuality();
    /**
     * <code>string quality = 2;</code>
     */
    com.google.protobuf.ByteString
        getQualityBytes();

    /**
     * <code>string language = 3;</code>
     */
    java.lang.String getLanguage();
    /**
     * <code>string language = 3;</code>
     */
    com.google.protobuf.ByteString
        getLanguageBytes();

    /**
     * <code>string url = 4;</code>
     */
    java.lang.String getUrl();
    /**
     * <code>string url = 4;</code>
     */
    com.google.protobuf.ByteString
        getUrlBytes();

    /**
     * <code>bool direct = 5;</code>
     */
    boolean getDirect();
  }
  /**
   * Protobuf type {@code com.tmovie.streaming.Result}
   */
  public  static final class Result extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:com.tmovie.streaming.Result)
      ResultOrBuilder {
    // Use Result.newBuilder() to construct.
    private Result(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private Result() {
      source_ = "";
      quality_ = "";
      language_ = "";
      url_ = "";
      direct_ = false;
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return com.google.protobuf.UnknownFieldSet.getDefaultInstance();
    }
    private Result(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      int mutable_bitField0_ = 0;
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            default: {
              if (!input.skipField(tag)) {
                done = true;
              }
              break;
            }
            case 10: {
              java.lang.String s = input.readStringRequireUtf8();

              source_ = s;
              break;
            }
            case 18: {
              java.lang.String s = input.readStringRequireUtf8();

              quality_ = s;
              break;
            }
            case 26: {
              java.lang.String s = input.readStringRequireUtf8();

              language_ = s;
              break;
            }
            case 34: {
              java.lang.String s = input.readStringRequireUtf8();

              url_ = s;
              break;
            }
            case 40: {

              direct_ = input.readBool();
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return com.tmovie.streaming.Filmfeed.internal_static_com_tmovie_streaming_Result_descriptor;
    }

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return com.tmovie.streaming.Filmfeed.internal_static_com_tmovie_streaming_Result_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              com.tmovie.streaming.Filmfeed.Result.class, com.tmovie.streaming.Filmfeed.Result.Builder.class);
    }

    public static final int SOURCE_FIELD_NUMBER = 1;
    private volatile java.lang.Object source_;
    /**
     * <code>string source = 1;</code>
     */
    public java.lang.String getSource() {
      java.lang.Object ref = source_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        source_ = s;
        return s;
      }
    }
    /**
     * <code>string source = 1;</code>
     */
    public com.google.protobuf.ByteString
        getSourceBytes() {
      java.lang.Object ref = source_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        source_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int QUALITY_FIELD_NUMBER = 2;
    private volatile java.lang.Object quality_;
    /**
     * <code>string quality = 2;</code>
     */
    public java.lang.String getQuality() {
      java.lang.Object ref = quality_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        quality_ = s;
        return s;
      }
    }
    /**
     * <code>string quality = 2;</code>
     */
    public com.google.protobuf.ByteString
        getQualityBytes() {
      java.lang.Object ref = quality_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        quality_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int LANGUAGE_FIELD_NUMBER = 3;
    private volatile java.lang.Object language_;
    /**
     * <code>string language = 3;</code>
     */
    public java.lang.String getLanguage() {
      java.lang.Object ref = language_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        language_ = s;
        return s;
      }
    }
    /**
     * <code>string language = 3;</code>
     */
    public com.google.protobuf.ByteString
        getLanguageBytes() {
      java.lang.Object ref = language_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        language_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int URL_FIELD_NUMBER = 4;
    private volatile java.lang.Object url_;
    /**
     * <code>string url = 4;</code>
     */
    public java.lang.String getUrl() {
      java.lang.Object ref = url_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        url_ = s;
        return s;
      }
    }
    /**
     * <code>string url = 4;</code>
     */
    public com.google.protobuf.ByteString
        getUrlBytes() {
      java.lang.Object ref = url_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        url_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int DIRECT_FIELD_NUMBER = 5;
    private boolean direct_;
    /**
     * <code>bool direct = 5;</code>
     */
    public boolean getDirect() {
      return direct_;
    }

    private byte memoizedIsInitialized = -1;
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (!getSourceBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 1, source_);
      }
      if (!getQualityBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 2, quality_);
      }
      if (!getLanguageBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 3, language_);
      }
      if (!getUrlBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 4, url_);
      }
      if (direct_ != false) {
        output.writeBool(5, direct_);
      }
    }

    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (!getSourceBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(1, source_);
      }
      if (!getQualityBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(2, quality_);
      }
      if (!getLanguageBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(3, language_);
      }
      if (!getUrlBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(4, url_);
      }
      if (direct_ != false) {
        size += com.google.protobuf.CodedOutputStream
          .computeBoolSize(5, direct_);
      }
      memoizedSize = size;
      return size;
    }

    private static final long serialVersionUID = 0L;
    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof com.tmovie.streaming.Filmfeed.Result)) {
        return super.equals(obj);
      }
      com.tmovie.streaming.Filmfeed.Result other = (com.tmovie.streaming.Filmfeed.Result) obj;

      boolean result = true;
      result = result && getSource()
          .equals(other.getSource());
      result = result && getQuality()
          .equals(other.getQuality());
      result = result && getLanguage()
          .equals(other.getLanguage());
      result = result && getUrl()
          .equals(other.getUrl());
      result = result && (getDirect()
          == other.getDirect());
      return result;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + SOURCE_FIELD_NUMBER;
      hash = (53 * hash) + getSource().hashCode();
      hash = (37 * hash) + QUALITY_FIELD_NUMBER;
      hash = (53 * hash) + getQuality().hashCode();
      hash = (37 * hash) + LANGUAGE_FIELD_NUMBER;
      hash = (53 * hash) + getLanguage().hashCode();
      hash = (37 * hash) + URL_FIELD_NUMBER;
      hash = (53 * hash) + getUrl().hashCode();
      hash = (37 * hash) + DIRECT_FIELD_NUMBER;
      hash = (53 * hash) + com.google.protobuf.Internal.hashBoolean(
          getDirect());
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static com.tmovie.streaming.Filmfeed.Result parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static com.tmovie.streaming.Filmfeed.Result parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static com.tmovie.streaming.Filmfeed.Result parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static com.tmovie.streaming.Filmfeed.Result parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static com.tmovie.streaming.Filmfeed.Result parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static com.tmovie.streaming.Filmfeed.Result parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static com.tmovie.streaming.Filmfeed.Result parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static com.tmovie.streaming.Filmfeed.Result parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static com.tmovie.streaming.Filmfeed.Result parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static com.tmovie.streaming.Filmfeed.Result parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(com.tmovie.streaming.Filmfeed.Result prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code com.tmovie.streaming.Result}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:com.tmovie.streaming.Result)
        com.tmovie.streaming.Filmfeed.ResultOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return com.tmovie.streaming.Filmfeed.internal_static_com_tmovie_streaming_Result_descriptor;
      }

      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return com.tmovie.streaming.Filmfeed.internal_static_com_tmovie_streaming_Result_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                com.tmovie.streaming.Filmfeed.Result.class, com.tmovie.streaming.Filmfeed.Result.Builder.class);
      }

      // Construct using com.tmovie.streaming.Filmfeed.Result.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      public Builder clear() {
        super.clear();
        source_ = "";

        quality_ = "";

        language_ = "";

        url_ = "";

        direct_ = false;

        return this;
      }

      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return com.tmovie.streaming.Filmfeed.internal_static_com_tmovie_streaming_Result_descriptor;
      }

      public com.tmovie.streaming.Filmfeed.Result getDefaultInstanceForType() {
        return com.tmovie.streaming.Filmfeed.Result.getDefaultInstance();
      }

      public com.tmovie.streaming.Filmfeed.Result build() {
        com.tmovie.streaming.Filmfeed.Result result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      public com.tmovie.streaming.Filmfeed.Result buildPartial() {
        com.tmovie.streaming.Filmfeed.Result result = new com.tmovie.streaming.Filmfeed.Result(this);
        result.source_ = source_;
        result.quality_ = quality_;
        result.language_ = language_;
        result.url_ = url_;
        result.direct_ = direct_;
        onBuilt();
        return result;
      }

      public Builder clone() {
        return (Builder) super.clone();
      }
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          Object value) {
        return (Builder) super.setField(field, value);
      }
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return (Builder) super.clearField(field);
      }
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return (Builder) super.clearOneof(oneof);
      }
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, Object value) {
        return (Builder) super.setRepeatedField(field, index, value);
      }
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          Object value) {
        return (Builder) super.addRepeatedField(field, value);
      }
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof com.tmovie.streaming.Filmfeed.Result) {
          return mergeFrom((com.tmovie.streaming.Filmfeed.Result)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(com.tmovie.streaming.Filmfeed.Result other) {
        if (other == com.tmovie.streaming.Filmfeed.Result.getDefaultInstance()) return this;
        if (!other.getSource().isEmpty()) {
          source_ = other.source_;
          onChanged();
        }
        if (!other.getQuality().isEmpty()) {
          quality_ = other.quality_;
          onChanged();
        }
        if (!other.getLanguage().isEmpty()) {
          language_ = other.language_;
          onChanged();
        }
        if (!other.getUrl().isEmpty()) {
          url_ = other.url_;
          onChanged();
        }
        if (other.getDirect() != false) {
          setDirect(other.getDirect());
        }
        onChanged();
        return this;
      }

      public final boolean isInitialized() {
        return true;
      }

      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.tmovie.streaming.Filmfeed.Result parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (com.tmovie.streaming.Filmfeed.Result) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }

      private java.lang.Object source_ = "";
      /**
       * <code>string source = 1;</code>
       */
      public java.lang.String getSource() {
        java.lang.Object ref = source_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          source_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string source = 1;</code>
       */
      public com.google.protobuf.ByteString
          getSourceBytes() {
        java.lang.Object ref = source_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          source_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string source = 1;</code>
       */
      public Builder setSource(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        source_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string source = 1;</code>
       */
      public Builder clearSource() {
        
        source_ = getDefaultInstance().getSource();
        onChanged();
        return this;
      }
      /**
       * <code>string source = 1;</code>
       */
      public Builder setSourceBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        source_ = value;
        onChanged();
        return this;
      }

      private java.lang.Object quality_ = "";
      /**
       * <code>string quality = 2;</code>
       */
      public java.lang.String getQuality() {
        java.lang.Object ref = quality_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          quality_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string quality = 2;</code>
       */
      public com.google.protobuf.ByteString
          getQualityBytes() {
        java.lang.Object ref = quality_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          quality_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string quality = 2;</code>
       */
      public Builder setQuality(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        quality_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string quality = 2;</code>
       */
      public Builder clearQuality() {
        
        quality_ = getDefaultInstance().getQuality();
        onChanged();
        return this;
      }
      /**
       * <code>string quality = 2;</code>
       */
      public Builder setQualityBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        quality_ = value;
        onChanged();
        return this;
      }

      private java.lang.Object language_ = "";
      /**
       * <code>string language = 3;</code>
       */
      public java.lang.String getLanguage() {
        java.lang.Object ref = language_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          language_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string language = 3;</code>
       */
      public com.google.protobuf.ByteString
          getLanguageBytes() {
        java.lang.Object ref = language_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          language_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string language = 3;</code>
       */
      public Builder setLanguage(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        language_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string language = 3;</code>
       */
      public Builder clearLanguage() {
        
        language_ = getDefaultInstance().getLanguage();
        onChanged();
        return this;
      }
      /**
       * <code>string language = 3;</code>
       */
      public Builder setLanguageBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        language_ = value;
        onChanged();
        return this;
      }

      private java.lang.Object url_ = "";
      /**
       * <code>string url = 4;</code>
       */
      public java.lang.String getUrl() {
        java.lang.Object ref = url_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          url_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string url = 4;</code>
       */
      public com.google.protobuf.ByteString
          getUrlBytes() {
        java.lang.Object ref = url_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          url_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string url = 4;</code>
       */
      public Builder setUrl(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        url_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string url = 4;</code>
       */
      public Builder clearUrl() {
        
        url_ = getDefaultInstance().getUrl();
        onChanged();
        return this;
      }
      /**
       * <code>string url = 4;</code>
       */
      public Builder setUrlBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        url_ = value;
        onChanged();
        return this;
      }

      private boolean direct_ ;
      /**
       * <code>bool direct = 5;</code>
       */
      public boolean getDirect() {
        return direct_;
      }
      /**
       * <code>bool direct = 5;</code>
       */
      public Builder setDirect(boolean value) {
        
        direct_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>bool direct = 5;</code>
       */
      public Builder clearDirect() {
        
        direct_ = false;
        onChanged();
        return this;
      }
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return this;
      }

      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return this;
      }


      // @@protoc_insertion_point(builder_scope:com.tmovie.streaming.Result)
    }

    // @@protoc_insertion_point(class_scope:com.tmovie.streaming.Result)
    private static final com.tmovie.streaming.Filmfeed.Result DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new com.tmovie.streaming.Filmfeed.Result();
    }

    public static com.tmovie.streaming.Filmfeed.Result getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<Result>
        PARSER = new com.google.protobuf.AbstractParser<Result>() {
      public Result parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
          return new Result(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<Result> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<Result> getParserForType() {
      return PARSER;
    }

    public com.tmovie.streaming.Filmfeed.Result getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_tmovie_streaming_TVShow_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_com_tmovie_streaming_TVShow_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_tmovie_streaming_Data_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_com_tmovie_streaming_Data_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_tmovie_streaming_Result_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_com_tmovie_streaming_Result_fieldAccessorTable;

  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static  com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\016filmfeed.proto\022\024com.tmovie.streaming\"<" +
      "\n\006TVShow\022\017\n\007episode\030\001 \001(\t\022\016\n\006season\030\002 \001(" +
      "\t\022\021\n\tpremiered\030\003 \001(\t\"]\n\004Data\022\r\n\005title\030\001 " +
      "\001(\t\022\014\n\004imdb\030\002 \001(\t\022\014\n\004year\030\003 \001(\005\022*\n\004show\030" +
      "\004 \001(\0132\034.com.tmovie.streaming.TVShow\"X\n\006R" +
      "esult\022\016\n\006source\030\001 \001(\t\022\017\n\007quality\030\002 \001(\t\022\020" +
      "\n\010language\030\003 \001(\t\022\013\n\003url\030\004 \001(\t\022\016\n\006direct\030" +
      "\005 \001(\0102W\n\tStreaming\022J\n\014getStreaming\022\032.com" +
      ".tmovie.streaming.Data\032\034.com.tmovie.stre" +
      "aming.Result\"\000b\006proto3"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
        new com.google.protobuf.Descriptors.FileDescriptor.    InternalDescriptorAssigner() {
          public com.google.protobuf.ExtensionRegistry assignDescriptors(
              com.google.protobuf.Descriptors.FileDescriptor root) {
            descriptor = root;
            return null;
          }
        };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        }, assigner);
    internal_static_com_tmovie_streaming_TVShow_descriptor =
      getDescriptor().getMessageTypes().get(0);
    internal_static_com_tmovie_streaming_TVShow_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_com_tmovie_streaming_TVShow_descriptor,
        new java.lang.String[] { "Episode", "Season", "Premiered", });
    internal_static_com_tmovie_streaming_Data_descriptor =
      getDescriptor().getMessageTypes().get(1);
    internal_static_com_tmovie_streaming_Data_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_com_tmovie_streaming_Data_descriptor,
        new java.lang.String[] { "Title", "Imdb", "Year", "Show", });
    internal_static_com_tmovie_streaming_Result_descriptor =
      getDescriptor().getMessageTypes().get(2);
    internal_static_com_tmovie_streaming_Result_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_com_tmovie_streaming_Result_descriptor,
        new java.lang.String[] { "Source", "Quality", "Language", "Url", "Direct", });
  }

  // @@protoc_insertion_point(outer_class_scope)
}
